Skip to main content
GET
/
api
/
open
/
v3
/
content
/
video
/
infobymodelid
Get Video Info Result
curl --request GET \
  --url https://openapi.akool.com/api/open/v3/content/video/infobymodelid \
  --header 'x-api-key: <api-key>'
{
  "code": 1000,
  "msg": "OK",
  "data": {
    "faceswap_quality": 2,
    "storage_loc": 1,
    "_id": "64dd92c1f0b6684651e90e09",
    "create_time": 1692242625334,
    "uid": 378337,
    "type": 2,
    "from": 1,
    "video_id": "0acfed62e24f4cfd8801c9e846347b1d",
    "video_lock_duration": 7.91,
    "deduction_lock_duration": 10,
    "video_status": 2,
    "external_video": "",
    "video": "",
    "audio_splits": {
      "original_srt_url": "https://d3323c6w59hl44.cloudfront.net/algorithm/video_translate/260401/default/xd4mtd1sk8h0.srt",
      "translated_srt_url": "https://d3323c6w59hl44.cloudfront.net/algorithm/video_translate/260401/default/e893u0r1nim1.srt",
      "no_caption_video_url": "https://d3323c6w59hl44.cloudfront.net/algorithm/video_translate/260401/default/zr9eyq8rpla4.mp4"
    }
  }
}

Important Notes

  • Use the _id field from the Create By Talking Photo API response as the video_model_id parameter
  • Poll this endpoint periodically to check the video generation status
  • When video_status is 3 (Success), the video field will contain the URL of the generated video
  • Generated videos are valid for 7 days, download and save them promptly

Video Status

StatusDescription
1In Queue - Your request is waiting to be processed
2Processing - Video is currently being generated
3Success - Video completed, result URL is available
4Failed - Video generation failed

Authorizations

x-api-key
string
header
required

Your API Key used for request authorization. If both Authorization and x-api-key have values, Authorization will be used first and x-api-key will be discarded.

Query Parameters

video_model_id
string
required

Video db id from the _id field returned by Create By Talking Photo API

Response

200 - application/json

Video information retrieved successfully

code
integer
required

Interface returns business status code (1000: success)

Example:

1000

msg
string
required

Interface returns status information

Example:

"OK"

data
object